# This file created by conda-build 3.18.6
# meta.yaml template originally from:
# C:\projects\r-tsibble-feedstock\recipe, last modified Sat Jun 29 07:23:00 2019
# ------------------------------------------------

package:
    name: r-tsibble
    version: 0.8.2
source:
    sha256: a310dda724096a17680165c75f9bf4f205ba03708535a7e0611f11e0628d32b6
    url:
        - https://cran.r-project.org/src/contrib/Archive/tsibble/tsibble_0.8.2.tar.gz
        - https://cran.r-project.org/src/contrib/tsibble_0.8.2.tar.gz
build:
    merge_build_host: true
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r35h6115d3f_0
requirements:
    build:
        - m2-bash 4.3.042 5
        - m2-coreutils 8.25 102
        - m2-filesystem 2016.04 4
        - m2-gcc-libs 5.3.0 4
        - m2-gmp 6.1.0 3
        - m2-libbz2 1.0.6 3
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-make 4.1 5
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-sed 4.2.2 3
        - m2-zip 3.0 2
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
    host:
        - _r-mutex 1.0.0 anacondar_1
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-icu 58.2 heb44b8b_2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-openblas 0.2.19 1
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
        - r-anytime 0.3.4 r35h796a38f_0
        - r-assertthat 0.2.1 r351h6115d3f_0
        - r-backports 1.1.4 r351h6115d3f_0
        - r-base 3.5.1 h0c8e037_1007
        - r-bh 1.69.0_1 r351h6115d3f_0
        - r-cli 1.1.0 r351h6115d3f_0
        - r-crayon 1.3.4 r351h6115d3f_1001
        - r-digest 0.6.19 r351h6115d3f_0
        - r-dplyr 0.8.1 r351h6115d3f_0
        - r-fansi 0.4.0 r351h6115d3f_1000
        - r-glue 1.3.1 r351h6115d3f_0
        - r-lubridate 1.7.4 r351h6115d3f_1001
        - r-magrittr 1.5 r351h6115d3f_1001
        - r-pillar 1.4.1 h6115d3f_0
        - r-pkgconfig 2.0.2 r351h6115d3f_1001
        - r-plogr 0.2.0 r351h6115d3f_1001
        - r-purrr 0.3.2 r351h6115d3f_0
        - r-r6 2.4.0 r351h6115d3f_0
        - r-rapidatetime 0.0.4 r351h6115d3f_1000
        - r-rcpp 1.0.1 r351h6115d3f_0
        - r-rlang 0.4.0 r35hda5aaf8_0
        - r-stringi 1.4.3 r351h6115d3f_0
        - r-stringr 1.4.0 r351h6115d3f_0
        - r-tibble 2.1.3 r35h6115d3f_0
        - r-tidyr 0.8.3 r351h6115d3f_0
        - r-tidyselect 0.2.5 r351h6115d3f_1000
        - r-utf8 1.1.4 r351h6115d3f_1000
        - r-vctrs 0.1.0 r351h6115d3f_1000
        - r-zeallot 0.1.0 r351h6115d3f_1000
    run:
        - m2w64-gcc-libs
        - r-anytime >=0.3.1
        - r-base >=3.5.1,<3.5.2.0a0
        - r-dplyr >=0.8.0
        - r-lubridate >=1.7.0
        - r-purrr >=0.2.3
        - r-rcpp >=0.12.3
        - r-rlang >=0.2.0
        - r-tibble >=2.0.1
        - r-tidyr
        - r-tidyselect
test:
    commands:
        - '"%R%" -e "library(''tsibble'')"'
about:
    home: https://tsibble.tidyverts.org
    license: GPL-3
    license_family: GPL3
    license_file: C:\bld\r-tsibble_1561793158706\_h_env/lib/R/share/licenses/GPL-3
    summary: Provides a 'tbl_ts' class (the 'tsibble') to store and manage temporal
        data in a data-centric format, which is built on top of the 'tibble'. The
        'tsibble' aims at easily manipulating and analysing temporal data, including
        counting and filling in time gaps, aggregate over calendar periods, performing
        rolling window calculations, and etc.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - conda-forge/r
        - philip-khor
